# Audio File Fingerprinting Tool

## Downloads

{% embed url="<https://github.com/acrcloud/acrcloud_extr_tools>" %}

## Usage

```
Usage: ./acr_extr [options] [-i infile]
For Example:
    # ./acr_extr -i inputfile
    # ./acr_extr -i inputfile -o outputfile

Getting help:
   -h      -- print basic options
   -v      -- print vertion

Options:
   -i           input file. 
  
   -o           Output file. If do not have this option, dir of output file is the same with input file.

   -au          If you add this option, it will save the audio data as decoded from input file(formatter: RIFF (little-endian) data, WAVE audio, Microsoft PCM, 16 bit, mono 8000 Hz). 

                 example: ./acrcloud_extr -au -i inputfile

   --debug      If you add this option, it will print all infomation.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/tools/fingerprinting-tool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
